package com.tofly.ghrq_route.module.planPointRepair.domain;

import java.io.Serializable;

@SuppressWarnings("serial")
public class MaintainSelectParam implements Serializable {
    /**
     * id : 3
     * typeName : 活动阀门
     */

    private String id;
    private String name;
    private boolean selected = false;

    MaintainSelectParam(String id, String name) {
        this.id = id;
        this.name = name;
        this.selected = false;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public boolean isSelected() {
        return selected;
    }

    public void setSelected(boolean selected) {
        this.selected = selected;
    }

    public static MaintainSelectParam getSelectParam(MaintainCommonParam commonParam) {
        return new MaintainSelectParam(commonParam.getId(), commonParam.getTypeName());
    }

    public static MaintainSelectParam getSelectParam(MaintainAdjustParam adjustParam) {
        return new MaintainSelectParam(adjustParam.getId(), adjustParam.getName());
    }
}
